Decommission a monthly runtime lease
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"force": false,
"expected_resource_generation_digest": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission"
payload = {
"force": False,
"expected_resource_generation_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: false, expected_resource_generation_digest: '<string>'})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'force' => false,
'expected_resource_generation_digest' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission"
payload := strings.NewReader("{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"tenant_id": "<string>",
"lease_id": "<string>",
"action": "<string>",
"runtime_offering_id": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"lease_state": "<string>",
"lease_reason": "<string>",
"enrollment_status": "<string>",
"ssh_enabled": true,
"status": {},
"ssh": {},
"power": {
"operation_id": "<string>",
"desired_power_state": "running",
"status": "pending",
"phase": "<string>",
"reason_code": "<string>",
"retryable": true,
"replay": true,
"resource_generation_id": "<string>",
"receipt_sequence": 123,
"receipt_digest": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
},
"ssh_access": {
"enabled": true,
"resource_generation_id": "<string>",
"owner_keys_installed": 123,
"owner_keys_removed": 123,
"owner_keys_present": 123,
"changed_at": "2023-11-07T05:31:56Z"
},
"reconnect": {
"agent_restarted": true,
"connection_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"data": {
"tenant_id": "<string>",
"lease_id": "<string>",
"action": "<string>",
"runtime_offering_id": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"lease_state": "<string>",
"lease_reason": "<string>",
"enrollment_status": "<string>",
"ssh_enabled": true,
"status": {},
"ssh": {},
"power": {
"operation_id": "<string>",
"desired_power_state": "running",
"status": "pending",
"phase": "<string>",
"reason_code": "<string>",
"retryable": true,
"replay": true,
"resource_generation_id": "<string>",
"receipt_sequence": 123,
"receipt_digest": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
},
"ssh_access": {
"enabled": true,
"resource_generation_id": "<string>",
"owner_keys_installed": 123,
"owner_keys_removed": 123,
"owner_keys_present": 123,
"changed_at": "2023-11-07T05:31:56Z"
},
"reconnect": {
"agent_restarted": true,
"connection_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}Monthly Runtime
Decommission a monthly runtime lease
POST
/
api
/
v1
/
monthly-runtimes
/
{lease_id}
/
decommission
Decommission a monthly runtime lease
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"force": false,
"expected_resource_generation_digest": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission"
payload = {
"force": False,
"expected_resource_generation_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: false, expected_resource_generation_digest: '<string>'})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'force' => false,
'expected_resource_generation_digest' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission"
payload := strings.NewReader("{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/monthly-runtimes/{lease_id}/decommission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"force\": false,\n \"expected_resource_generation_digest\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"tenant_id": "<string>",
"lease_id": "<string>",
"action": "<string>",
"runtime_offering_id": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"lease_state": "<string>",
"lease_reason": "<string>",
"enrollment_status": "<string>",
"ssh_enabled": true,
"status": {},
"ssh": {},
"power": {
"operation_id": "<string>",
"desired_power_state": "running",
"status": "pending",
"phase": "<string>",
"reason_code": "<string>",
"retryable": true,
"replay": true,
"resource_generation_id": "<string>",
"receipt_sequence": 123,
"receipt_digest": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
},
"ssh_access": {
"enabled": true,
"resource_generation_id": "<string>",
"owner_keys_installed": 123,
"owner_keys_removed": 123,
"owner_keys_present": 123,
"changed_at": "2023-11-07T05:31:56Z"
},
"reconnect": {
"agent_restarted": true,
"connection_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"data": {
"tenant_id": "<string>",
"lease_id": "<string>",
"action": "<string>",
"runtime_offering_id": "<string>",
"desired_state": "<string>",
"observed_state": "<string>",
"lease_state": "<string>",
"lease_reason": "<string>",
"enrollment_status": "<string>",
"ssh_enabled": true,
"status": {},
"ssh": {},
"power": {
"operation_id": "<string>",
"desired_power_state": "running",
"status": "pending",
"phase": "<string>",
"reason_code": "<string>",
"retryable": true,
"replay": true,
"resource_generation_id": "<string>",
"receipt_sequence": 123,
"receipt_digest": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
},
"ssh_access": {
"enabled": true,
"resource_generation_id": "<string>",
"owner_keys_installed": 123,
"owner_keys_removed": 123,
"owner_keys_present": 123,
"changed_at": "2023-11-07T05:31:56Z"
},
"reconnect": {
"agent_restarted": true,
"connection_state": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}授权
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
路径参数
Monthly runtime lease ID
查询参数
Request exact generation-bound provider reconciliation when the runtime is unreachable. Force is accepted only when the control plane can prove restart-safe, HA-fenced durable custody before it cancels the lease. Also accepted as a {"force": true} JSON body. An empty request defaults to false.
请求体
application/json
